Status stream (WebSocket)
curl --request GET \
--url https://maker.signet.kaleidoswap.com/v2/ws \
--header 'Authorization: Bearer <token>'import requests
url = "https://maker.signet.kaleidoswap.com/v2/ws"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://maker.signet.kaleidoswap.com/v2/ws', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://maker.signet.kaleidoswap.com/v2/ws",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://maker.signet.kaleidoswap.com/v2/ws"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://maker.signet.kaleidoswap.com/v2/ws")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://maker.signet.kaleidoswap.com/v2/ws")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodySwap status
Status stream (WebSocket)
Upgrades to a WebSocket that streams status updates for the swaps you subscribe to. The envelope is Boltz-compatible:
→ { "op": "subscribe", "channel": "swap.update", "args": ["01J7Q..."] }
← { "event": "subscribe","channel": "swap.update", "args": ["01J7Q..."],
"timestamp": "1716124800123" }
← { "event": "update", "channel": "swap.update",
"args": [ { "id": "01J7Q...", "status": "invoice.set" } ],
"timestamp": "1716124800124" }
← { "event": "update", "channel": "swap.update",
"args": [ { "id": "01J7Q...", "status": "transaction.confirmed" } ],
"timestamp": "1716124800456" }
→ { "op": "unsubscribe", "channel": "swap.update", "args": ["01J7Q..."] }
→ { "op": "ping" }
← { "event": "pong" }
GET
/
v2
/
ws
Status stream (WebSocket)
curl --request GET \
--url https://maker.signet.kaleidoswap.com/v2/ws \
--header 'Authorization: Bearer <token>'import requests
url = "https://maker.signet.kaleidoswap.com/v2/ws"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://maker.signet.kaleidoswap.com/v2/ws', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://maker.signet.kaleidoswap.com/v2/ws",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://maker.signet.kaleidoswap.com/v2/ws"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://maker.signet.kaleidoswap.com/v2/ws")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://maker.signet.kaleidoswap.com/v2/ws")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Switching Protocols — WebSocket session established.
Was this page helpful?